Action disabled: backlink

Build configuration

For the moment, the best way to configure Smil is with the shell script config-smil. This script will take into account that you're inside an Anaconda and configure Smil accordingly.

This script can be found inside contrib/scripts directory of Smil distribution.

Usage of this script is explained from the help command :

config-smil help

$ config-smil help

  config-smil
  
  Usage : 
    config-smil [ options ] SourceDirectory
    
  Options :
    --help 
      This message

    --prefix=prefix
      This option defines the prefix where Smil will be installed.
      Default value is /usr/local.

    --addon=name,name,name,...
      A comma separated list of Addons to enable
      Default enabled Addons : Color Filters HoughTransform 

  Example :
    config-smil --addon=GraphCuts --prefix=/usr/local/Smil-27 /home/sources/smil

  Author :
    Jose-Marcio Martins da Cruz
  
  See also :
    Full Smil documentation at : http://smil.mines-paristech.fr

So, in short words, to configure, compile and install Smil under Anaconda, the simplest way is something of the kind :

Download

$ mkdir sources
$ cd sources
$ git clone https://github.com/ensmp-cmm/smil

Change git branch (optional)

$ cd smil
$ git checkout develop
$ cd ..

Configure, compile and install

$ mkdir build
$ cd build
$ ../smil/contrib/scripts/config-smil ../smil
$ make -j 6
$ sudo make install
When building Smil with Python, each instance of Smil is valid only for the version of Python it was linked. So, if you intend to run Smil with different versions of Python, you'll need to build as many instances of Smil as you have versions of Python.

The easiest way to do this is to use different prefixes. E.g. : /usr/local/Smil-2.7, /usr/local/Smil-3.5, /usr/local/Smil-3.7

Defining a prefix for Python 2.7

config-smil --prefix=/usr/local/Smil-27
doc/install/buildoptions.txt · Last modified: 2020/06/09 16:01 (external edit)
CC Attribution-Share Alike 4.0 International
Driven by DokuWiki Recent changes RSS feed Valid CSS Valid XHTML 1.0